Cue Docs
Broadcast API - V2

Create Broadcast V2

Guide: Broadcast API - V2
POST
/v2/broadcasts

Authorization

bearerAuth
headerAuthorizationBearer <token>

An API token from Settings > API Tokens in your Cue workspace. See Authentication.

Header Parameters

Authorization*Authorization

An API token from Settings > API Tokens, as Bearer <token>.

Request Body

application/json
  1. body
name?string|null
from_*From
Length1 <= length
scheduled_at?|null
valid_until?|null
template?|null
payload?array<>|null
client_unique_identifier?string|null
contact_list_uuid?|null

Response Body

Successful Response

application/json
  1. response
broadcast?|null
warnings?array<>|null
Example Request
curl -X POST 'https://api.cuedesk.com/v2/broadcasts' \
  -H 'Authorization: Bearer <token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "from_": "string"
}'
Example Response
{
  "broadcast": {
    "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
    "name": "string",
    "scheduled_at": "2019-08-24T14:15:22Z",
    "status": "string",
    "created_at": "2019-08-24T14:15:22Z",
    "recipients": 0
  },
  "warnings": [
    {
      "identifier": "string",
      "errors": [
        "string"
      ]
    }
  ]
}